Page MenuHomePhabricator

Move subpages of talk page should include a list of subpages
Closed, ResolvedPublic

Description

For Special:MovePage, when preparing to perform a move operations on a page, editors with the ability to "move subpages" can also select "move subpages of talk page" or "Move subpages (up to 100), if applicable". Whereas the list of subject subpages are displayed by default, the list of talk subpages are not displayed, so there is no way to know what you will be moving from this dialog - or if the page count is higher than the limit.

Adding a "Subpages of talk page" display such as the one seen when moving other namespace pages with sub pages would be useful.

Example of a project page with subpages list:
https://test.wikipedia.org/wiki/Special:MovePage/Wikipedia:Test1

Example of the lack of listing subpages for talk pages that could be targeted by the action:
https://test.wikipedia.org/wiki/Special:MovePage/Test-20160711

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 11 2016, 10:00 PM
JJMC89 added a subscriber: JJMC89.Jul 11 2016, 10:52 PM
andymw added a subscriber: andymw.Sep 14 2016, 4:44 AM
andymw raised the priority of this task from Lowest to Medium.Oct 7 2016, 10:37 PM
andymw updated the task description. (Show Details)
andymw added a comment.EditedOct 7 2016, 10:46 PM

I attempted to clarify that this is an issue when performing a move operation on a subject page that, given the option to move-subpages, talk subpages are not visible to the end user. This is critical for editors handling page moves, especially if the subject namespace does not support subpages, and the talk namespace does, and the editor cannot see the pages meant to be the talk pages of other distinct legitimate articles (i.e. MediaWiki thinks they are talk "subpages" when they are actually standalone).

Consider this scenario: we have these pages:

  • Foo
    • Talk:Foo
    • Talk:Foo/Archive 1
  • Foo/bar (this is not a subpage of "Foo" per current config)
    • Talk:Foo/bar

Suppose an editor wants to move "Foo" (Special:MovePage/Foo) and its legitimate subpages to "Foonew". Checking move subpages will incorrectly move the unrelated talk page "Talk:Foo/bar" to "Talk:Foonew/bar". And there is currently no way to see what the name of this talk page is.

Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptOct 7 2016, 10:50 PM

Removing Wikimedia-Site-requests as this is not a request to change some existing configuration option on some site.

@andymw: You increased the priority of this task. As priority reflects reality and does not cause it, please elaborate why this task is more urgent than other tasks on the project workboard. We want to be realistic about communicating what is being worked on, to maximize the impact of changes. Practically, this often unfortunately means assigning a low priority to many tasks.

If the priority was increased because you plan to work on this task please claim the task by setting yourself as assignee. Thank you for your help!

If you do not plan to work on this task yourself but feel that this task is urgent but being ignored by those with the actual power to put the task on their agenda, please discuss with the responsible developers, product managers and budget holders. Further contact information can be found on the corresponding team wiki page. Thanks for your understanding!

andymw lowered the priority of this task from Medium to Lowest.EditedOct 8 2016, 4:12 PM

@Aklapper thanks for the link and your feedback. Haven't had as much experience, and any upsetting of workflow was unintended. I've restored lowest priority in the meantime. (I'll consider elaborating the scenario on a mailing list)

andymw claimed this task.EditedOct 9 2016, 6:16 AM
andymw raised the priority of this task from Lowest to Medium.
andymw added a subscriber: Legoktm.

Began working on this, expecting to have a changelist for review shortly.

Change 314848 had a related patch set uploaded (by Andy M. Wang):
Display both subject and talk subpages for Special:MovePage

https://gerrit.wikimedia.org/r/314848

Yay, thanks for submitting a patch :) I'll try and look at it in the next few days.

andymw added a comment.EditedOct 15 2016, 4:26 PM

Any updates or suggestions by any chance? Interested if this may be merged soon @Legoktm

Change 314848 merged by jenkins-bot:
Display both subject and talk subpages for Special:MovePage

https://gerrit.wikimedia.org/r/314848

matmarex closed this task as Resolved.Oct 16 2016, 3:14 AM
matmarex removed a project: Patch-For-Review.
matmarex added a subscriber: matmarex.

This change has been merged and will be deployed to Wikimedia wikis next week, per https://www.mediawiki.org/wiki/MediaWiki_1.28/Roadmap.

Great to hear!